using UnityEngine;
using TMPro;

public class ScoreBoard : MonoBehaviour
{
    [SerializeField] private  TMP_Text scoreText;
    private static int score = 0;
    public int Score { get { return score; } }

    private void Start()
    {
        score = 0;
        scoreText.text = score.ToString() + " bodova";
    }

    private void Update()
    {
        scoreText.text = score.ToString() + " bodova";
    }

    public static void IncreaseScore(int amountToIncrease)
    {
        score += amountToIncrease;
    }
}